package repositories

import (
	"gorm.io/gorm"
	"zjmud.xyz/phyer/rbcp/models"
)

func GetUserByUsername(username string) (*models.User, error) {
	var user models.User
	result := db.Where("username = ?", username).First(&user)
	return &user, result.Error
}

func CreateUser(user *models.User) error {
	return db.Create(user).Error
}
